Subject: Re: Sequence Classes and CORBA Servers

From: Philip Lijnzaad <[email-masked]>
Date: Mon, 10 Nov 1997 17:15:23 GMT

Hi, 

> We are/were planning to reply to the RFI but 50 hardcopies
> seem a bit crazy in this day and age. 

The demand for 50 copies is imposed by the OMG. They lack the infrastructure
and logistics to run off the responses themselves for the distribution among
attendants at meetings, and therefore ask the submitters to do this. I think
this is not unreasonable, given the amount of work that is going on in the
OMG.

Anyway (quoting from the FAQ, http://lsr.ebi.ac.uk/FAQ.html):

  With the due date pressing many people will have the concern that the
  required 50 copies may not be delivered in time. Not to worry.  A common
  way to respond is by sending it via email by the due date (to
  [email-masked]). The fifty hard copies can either be sent later or brought
  to the meeting at which you present your response.

Also from the FAQ:

  Is it still worth responding to an RFI if I'll miss the due date?
  [answer based on text from a former co-chair of CORBAmed] 
  
  Some people may not see the RFI until it's too late to respond by the
  deadline. It is unusual for late submissions to RFIs not to be accepted by
  the OMG. However, if there are more responses than can be reviewed at a
  single meeting the ones that met the deadline will have first priority and
  some of the others may wait until the next meeting before presenting their
  response. The deadline is set three weeks before meetings so that attendees
  can have time to review the response beforehand.

With kind regards,

                                                             Philip Lijnzaad 

-- 
Philip Lijnzaad, [email-masked] | European Bioinformatics Institute
+44 (0)1223 49 4639                 | Wellcome Trust Genome Campus, Hinxton
+44 (0)1223 49 4468 (fax)           | Cambridge CB10 1SD,  GREAT BRITAIN
PGP fingerprint: E1 03 BF 80 94 61 B6 FC  50 3D 1F 64 40 75 FB 53

---

From: [email-masked] (Sergei Shavirin)
Date: Mon, 10 Nov 1997 11:40:32 -0500

All my attempts to run software presented at:

http://industry.ebi.ac.uk/applab/

resulted in errors of type 
"Applet Demo.cal.CalGUI can't start: Error java.lang.NoClassDefFoundError: Demo/cal/CalGUI

analogos error appear even for "Hello world" application.

It looks like Java/Corba from this source is to young to be presented.

Sergei

> From [email-masked] Mon Nov 10 11:25:13 1997
> Date: Mon, 10 Nov 1997 16:04:23 GMT
> From: Philip Lijnzaad <[email-masked]>
> To: bioWidgets Consortium <[email-masked]>,
        Java in Chemistry Mailing List <[email-masked]>,
        BioObjects Mailing List <[email-masked]>,
        Computational Chemistry List <[email-masked]>
> Cc: [email-masked]
> Subject: Re: Sequence Classes and CORBA Servers
> 
> [ I narrowed the response a bit, but then again I probably shouldn't
> have. So this time the chemistry lists are included. Sorry. ] 
> 
> Hi,
> 
> as you maybe know, the EBI has been advocating the use of CORBA in Molecular
> Biology for a while now.
> 
> There is currently an effort underway to standardize classes for use in the
> field of Life Sciences Research (i.e. Molecular Biology and more). The Life
> Sciences Research SIG (special interest group) has been set up recently (
> homepage: http://lsr.ebi.ac.uk/ ). They have issued a Request For Information
> (RFI), to get an impression of what the current status is, and of what 'the
> field' would like to see incorporated in the standards. (Your mail actually
> shows a great deal of overlap with the RFI!)  This RFI has been circulated in
> the field, and responses are actually due today; see
> http://lsr.ebi.ac.uk/docs/corbamed/97-09-16.html. Everybody (not just OMG
> members) is invited to respond to this RFI; the
> 
> The ultimate goal of this process is to produce a set of IDL specifcations
> that are useful for work in the Life Sciences.
> 
> > 3) Are there any CORBA servers available now (or in the near future) that give a
> > piece of CORBA complient client code approximately the level of access to
> > sequence databases that a human user has using popular WWW interfaces.
> 
> Have a look at the following URLs: 
> 
> http://industry.ebi.ac.uk/~corba/
> 
> http://sunny.ebi.ac.uk/RandD/
> http://sunny.ebi.ac.uk/RandD/EBIBasicSequence.html
> 
> http://industry.ebi.ac.uk/~slidel/embl-corba/
> 
> http://industry.ebi.ac.uk/contrib/corba/SeqDB/
> 
> (some of these servers are very much in a prototype stage; do not expect too
> much in terms of functionality or stability).  We are working on a next
> generation server for the EMBL Nucleotide Sequence Database, which will have
> a simpler interface and will be more stable.
> 
> > And then of course it would be great to actually have CORBA compliant servers
> > that I can use from my programs to query remotely installed sequence databases
> > and to execute some common algorithms like BLAST, FASTA, (multiple) sequence
> > alignments, etc.. 
> 
> Where would the method for searching go, into something like BioSequence,
> BioSequenceFactory, SeqSearchEngine ? These are the kind of questions that
> must be addressed. Many of them are not trivial.
> 
> > CORBA-based access to remote sequence databases might be too ambitious. 
> 
> Well, we're working on it :-) but there are a number of issues that aren't so
> simple. Especially general querying is difficult, but other, less technical
> points are things like style and nomenclature also need to be
> resolved. Anyway, thanks for blowing some life into this mailing list.  Kind
> regards,
> 
> 
>                                                                       Philip
> 
> 
> --